// credguic.h : main header file for the CREDGUIC application
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

//////////////// Begin sample insertion //////////////////
//////////////////////////////////////////////////////////
#include <cicseci.hpp>
//////////////////////////////////////////////////////////

// Include for subclassed ECI object to fix problem getting abend code
#include "clnterr.h"

// Include for standard COMMAREA header
#include "stdhead.h"

//////////////////End sample insertion ////////////////////

/////////////////////////////////////////////////////////////////////////////
// CCredguicApp:
// See credguic.cpp for the implementation of this class
//

class CCredguicApp : public CWinApp
{
public:
	CCredguicApp();

//////////////// Begin sample insertion //////////////////
	CString cics_client_name;
	CString cics_user;
	CString cics_pw;
	CString cics_system;
	// CICS Error messages - returned by all types of calls
	CString cics_message;
	CString cics_abcode;

// Pointer to the single ECI object and a connection object for the server
	fixCclECI *pECI;

// 3270 field types 
#define ALPHA_FIELD   0
#define NUMERIC_FIELD 1
#define CICS_FIELD    2

//////////////////////////////////////////////////////////
// Common subroutines to help move data into and out of 
//  a CICS COMMAREA                                     
//////////////////////////////////////////////////////////

void static comm_move(CString& VarData, char *commarea, long Varlen);

void static move_comm(CString& VarData,
					  char     *CommField,
					  int      maxLen,
					  int      isNumber);

void static moveBMSfield(CString&  Vardata,    // Variable data from GUI
						 char      *BMSfield,  // BMS Map Data Area
						 short     *BMSlen,    // BMS Map Length field
						 short     *MAPlen,    // Total Map Data length
						 int       maxLen,     // Length of Data Area
						 int       isNumber);  // Data Type

void static int2char(const int i, char *result, const int len);

void setStandardHeader(pCOMMHEAD ca, int calen, int maplen, char *mapname, char *tranname);

void static dumpStandardHeader(pCOMMHEAD ca, CDumpContext& dc);

int executeCICSTran(char* tran, int casize, void *dataArea);

//////////////////End sample insertion ////////////////////

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCredguicApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CCredguicApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
};


/////////////////////////////////////////////////////////////////////////////
